package client

import (
	cr "git.loafle.net/commons_go/rpc"
	crc "git.loafle.net/commons_go/rpc/client"
	crpj "git.loafle.net/commons_go/rpc/protocol/json"
)

func NewClientHandler(registry cr.Registry) ClientHandler {
	ch := &ClientHandlers{}
	ch.RPCRegistry = registry
	ch.Codec = crpj.NewClientCodec()

	return ch
}

type ClientHandlers struct {
	crc.ClientHandlers
}
